Skip to main content
Returns data preview of the provided data entity

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

maxResults
integer<int32>
default:10
Required range: 0 <= x <= 9223372036854776000

Body

application/vnd.composer.v3+json
type
enum<string>
required

Each of the data entity types corresponds to it’s own definition block:

  • SINGLE_COLLECTION - singleCollection
  • CUSTOM_SQL - customSql
  • INDEX - index
  • UPLOAD - upload
Available options:
SINGLE_COLLECTION,
CUSTOM_SQL,
INDEX,
UPLOAD
id
string

Unique identifier of the source. Must be unique within the source

Maximum string length: 255
Example:

"data_entity_id"

name
string

User visible representation of the source. It must be unique within the source

Maximum string length: 255
Example:

"Data Entity name"

singleCollection
object

Represents regular JDBC table in the database

customSql
object
index
object

Represents Elasticsearch target for the query. It can be single index, multiple indexes or pattern

upload
object

Represents data uploaded using uploads API

nativeFields
object[]

This field is optional and will be calculated automatically based on the table if missing. NOTE: List of native fields is not available for the listing endpoint

forbiddenFeatures
string[]

This field is optional and will be calculated automatically based on the table if missing.

auxiliary
boolean
cacheSettings
object

Defines raw cache settings for data entity

Response

The data entity preview was returned successfully

metadata
object[]

Fields metadata for the data

data
any[][]

Data in tabular format. Field name can be retrieved from metadata by index